from fastapi.responses import Response
from fastapi import APIRouter, HTTPException

from bat.api.utils import config
from bat.api.controllers.job import *
from bat.core.errors import JobRunning

router = APIRouter(tags=['Scheduler'], prefix='/test')


@router.post('/infra')
async def infra_test() -> Response:
    try:
        _ = infra_job()
        return {
            'message': f'infra test job for cluster {config().cluster} successfully created'
        }
    except JobRunning as e:
        return {'message': str(e)}
    except Exception as e:
        raise HTTPException(status_code=500, detail=str(e))
