from bat.models.blip import CRD
from bat.core.logger import logger
from bat.models.blip.crd import Spec
from bat.setups._models import SetupResource
from bat.libs.kubernetes import KubernetesClient


class BlipApiExtractor:
    def __new__(cls, path: SetupResource) -> Spec:
        logger.info('Reading blip CRD from cluster')
        crd = KubernetesClient().get_custom_resource(
            path.resource,
            path.name,
            path.namespace,
            version='v1alpha1',
            group='services.k8s.amagi',
        )

        crd = CRD(**crd)
        return crd.spec
