from pathlib import Path
from typing import Protocol, Any, Literal

from bat.models.data import TestData
from bat.setups._models import SetupResource


class BaseExtractor(Protocol):
    def __new__(cls, path: SetupResource | Path, mode: Literal['api', 'cli']):
        raise NotImplementedError

    @staticmethod
    def get_crd_spec(data: Any) -> Any:
        raise NotImplementedError

    @staticmethod
    def extract_test_data(spec) -> Any:
        raise NotImplementedError
