from bat.core.logger import logger
from bat.models.account import CRD
from bat.models.account.crd import Spec
from bat.setups._models import SetupResource
from bat.libs.kubernetes import KubernetesClient


class PlayerApiExtractor:
    def __new__(cls, path: SetupResource) -> Spec:
        logger.info('Reading player CRD from cluster')
        crd = KubernetesClient.get_custom_resource(
            path.resource,
            path.name,
            path.namespace,
            version='v1alpha1',
            group='services.k8s.amagi',
        )

        crd = CRD(**crd)
        return crd.spec
