from typing import List, Any
from pydantic import BaseModel


class Metadata(BaseModel):
    name: str
    annotations: Any | None
    creationTimestamp: Any | None
    finalizers: Any | None
    generation: int | None
    labels: Any | None
    managedFields: Any | None
    name: str | None
    namespace: str | None
    resourceVersion: str | None
    uid: str | None


class Spec(BaseModel):
    name: str
    customerName: str
    accountDomain: str
    channelCode: str
    broadcastStartTime: str
    timeZone: str
    inputGraphicsResolution: str
    inputVideoResolution: List[str]
    videoResolution: str
    videoPid: str
    subtitleProcessing: str
    vchip: str
    enableLive: bool
    fullLengthPreview: str
    audioType: str
    noOfAudioChannels: str
    primaryAudioLanguage: str
    addUsers: List[str]
    enableCpIntegration: bool
    audioSubtitleConfig: str
    qc: str
    playlistValidations: str
    playlistTriggers: str
    config: str


class CRD(BaseModel):
    apiVersion: str
    kind: str
    metadata: Metadata
    spec: Spec
