from typing import Literal
from pydantic import BaseModel, BaseSettings
from bat.validators.base_config import TestConfig
from bat.validators.deploy_config import BlipConfig, AccountConfig


class Config(BaseModel):
    base_config: TestConfig
    deploy_blip: BlipConfig | None
    deploy_account: AccountConfig | None


class ConfigMap(BaseSettings):
    cloud: str
    cluster: str
    allure_server: str
    argocd_server: str
    argocd_username: str
    argocd_password: str
    environment: Literal['prod', 'dev']
    enterprise: bool
    cp_orchestration: bool
    cp_integration: bool
    media_asset: str
    graphics_asset: str
    playout_timezone: str
    docker_image: str
    deploy_namespace: str
    deploy_config: str
    service_account: str
