from typing import Literal
from pydantic import BaseModel


class Container(BaseModel):
    name: str
    image: str
    pull_policy: Literal['Never', 'Always', 'IfNotPresent']
    config_map: str
    command: list[str]


class JobConfig(BaseModel):
    version: str | None = "batch/v1"
    name: str
    containers: list[Container]
    restart: Literal['Always', 'Never']
    service_account: str
