import logging
import allure

from bat.core.logger import Logger


def pytest_collection_modifyitems(items):
    for item in items:
        allure.suite(item.parent.name)


def pytest_configure(config):
    allure.suite("test_class")
    log_file = 'bat.log'
    Logger().setup_logger(file=log_file, level=logging.INFO)


def pytest_runtest_logstart(nodeid: str, location):
    logger = logging.getLogger(__name__)
    _, class_name, method_name = nodeid.split("::")
    logger.info(f"Test class: {class_name} TestCase: {method_name}")


def pytest_unconfigure(config):
    allure.suite(None)
    logging.shutdown()
