from pydantic import BaseModel


class TurnServerConfig(BaseModel):
    url: str
    username: str
    password: str


class PubnubConfig(BaseModel):
    publish_key: str
    subscriber_key: str
    secret_key: str


class LivePubnubConfig(BaseModel):
    publish_key: str
    subscriber_key: str


class BlipConfig(BaseModel):
    hosted_zone: str
    admin_email: str
    support_email: str
    turn_server: TurnServerConfig
    pubnub: PubnubConfig
    cplive_pubnub: LivePubnubConfig


class AccountConfig(BaseModel):
    s3_bucket: str
    mapsor_api: str
    mapsor_token: str
    queue: str
    xmorph: str
